Description: Regard hardening CFLAGS setting
 Unfortunately I did not succeeded in also injecting LDFLAGS in the same manner.
 It was simply ignored.  So I decided to override the LINKER variable in debian/rules.
Author: Andreas Tille <tille@debian.org>
Date: Tue, 18 Dec 2012 16:41:28 +0100

--- a/Makefile
+++ b/Makefile
@@ -16,9 +16,9 @@ else
 endif
 
 ifeq ($(findstring nommap,$(MAKECMDGOALS)),)
-  CFLAGS = $(DBGFLAGS) $(BASEFLAGS)
+  CFLAGS := $(DBGFLAGS) $(BASEFLAGS) $(CFLAGS)
 else
-  CFLAGS = $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP
+  CFLAGS := $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP $(CFLAGS)
 endif
 
 %.o : %.c
@@ -41,7 +41,7 @@ endif
 LINKER    := g++
 #LDFLAGS = 
 #uncomment this when ENABLE_COMPRESSION
-LDFLAGS    = -lz
+LDFLAGS  := -lz $(LDFLAGS)
 
 .PHONY : all
 all:    cdbfasta cdbyank 
